<?php
namespace app\daohang\controller;

use app\common\controller\Front;

class Page extends Front
{

    public function _initialize()
    {
        parent::_initialize();
    }
    
    //首页
    public function index()
    {
        return $this->fetch();
    }
    
    //分类
    public function types()
    {
        $info = [];
        $info['seoTitle']       = daohangSeo(config('daohang.category_title'));
        $info['seoKeywords']    = daohangSeo(config('daohang.category_keywords'));
        $info['seoDescription'] = daohangSeo(config('daohang.category_description'));
        $this->assign($info);
        return $this->fetch();
    }
    
    //标签
    public function tags()
    {
        $info = [];
        $info['pagePath']       = daohangUrl('daohang/page/tags',['pageNumber'=>'[PAGE]']);
        $info['pageSize']       = DcEmpty(intval(config('daohang.page_size')),20);
        $info['pageNumber']     = $this->site['page'];
        $info['sortName']       = 'term_count desc,term_id';
        $info['sortOrder']      = 'desc';
        $info['seoTitle']       = daohangSeo(config('daohang.tag_title'),$this->site['page']);
        $info['seoKeywords']    = daohangSeo(config('daohang.tag_keywords'),$this->site['page']);
        $info['seoDescription'] = daohangSeo(config('daohang.tag_description'),$this->site['page']);
        $this->assign($info);
        return $this->fetch();
    }
    
    //自定义
    public function _empty($name='')
    {
        $name = DcDirPath(DcHtml($name));
        if(is_file('./'.$this->site['path_view'].'page/'.$name.'.tpl')){
            return $this->fetch($name);
        }
        return $name;
    }
}