<?php
namespace app\daohang\loglic;

class Datas
{
    //配置
    public function insertConfig()
    {
        return model('common/Config','loglic')->install([
            'theme'                => 'default',
            'theme_wap'            => 'default',
            'slug_first'           => 1,
            'jump_page'            => 1,
            'publish_save'         => 'on',
            'score_fast'           => 10,
            'request_max'          => 0,
            'search_list'          => 'daohang/search/index,daohang/search/baidu,daohang/search/sogou,daohang/search/toutiao,daohang/search/bing,daohang/search/so',
            'search_interval'      => 0,
            'search_hot'           => '呆错网址导航系统,呆错后台管理框架,呆错文章管理系统,daicuo,feifeicms',
            'label_strip'          => '<b>,<i>,<font>,<strong>',
            'post_pwd'             => '',
            'page_size'            => 30,
            'page_max'             => 100,
            'limit_search'         => 10,
            'limit_sitemap'        => 100,
            'limit_index_web'      => 60,
            'limit_index_category' => 30,
            'limit_index_tag'      => 60,
            'limit_index_hot'      => 25,
            'type_option'          => '',//属性扩展
            'auth_filter'          => ['vip'],
            'auth_search'          => ['vip'],
            'auth_save'            => ['vip'],
            'rewrite_index'        => 'dh$',
            'rewrite_category'     => 'dhtype/:slug/[:pageNumber]',
            'rewrite_tag'          => 'dhtag/:slug/[:pageNumber]',
            'rewrite_search'       => 'dhsearch/[:searchText]/[:pageNumber]',
            'rewrite_filter'       => 'dhfilter/<termId>-<pageSize>-<pageNumber>-<sortName>-<sortOrder>',
            'rewrite_detail'       => 'dhinfo/:slug$',
            'index_title'          => '呆错网址导航系统',
            'index_keywords'       => 'PHP导航系统,免费导航系统,开源导航系统',
            'index_description'    => '呆错导航系统是一款免费开源的分类导航建站系统，安全、便捷、高效、是您的建站首选。',
            'search_title'         => '与[searchText]有关的网站第[pageNumber]页',
            'search_keywords'      => '搜索[searchText]',
            'search_description'   => '在[siteName]搜索到与[searchText]有关的结果如下。',
            'category_title'       => '分类',
            'category_keywords'    => '网站分类',
            'category_description' => '[siteName]所有网址导航分类。',
            'tag_title'            => '标签第[pageNumber]页',
            'tag_keywords'         => '标签列表',
            'tag_description'      => '[siteName]所有标签。',
            'publish_title'        => '免费收录网站',
            'publish_keywords'     => '免费收录网站',
            'publish_description'  => '[siteName]提供免费收录网站服务。',
            'fast_title'           => '付费免审核收录网站',
            'fast_keywords'        => '付费免审核收录网站',
            'fast_description'     => '[siteName]提供付费免审核收录网站服务。',
        ],'daohang');
    }
    
    //伪静态
    public function insertRoute()
    {
        config('common.validate_name', false);
        
        return model('common/Route','loglic')->install([
            [
                'rule'        => 'dh$',
                'address'     => 'daohang/index/index',
                'method'      => 'get',
            ],
            [
                'rule'        => 'dhtype/:slug/[:pageNumber]',
                'address'     => 'daohang/category/index',
                'method'      => 'get',
            ],
            [
                'rule'        => 'dhtag/:slug/[:pageNumber]',
                'address'     => 'daohang/tag/index',
                'method'      => 'get',
            ],
            [
                'rule'        => 'dhsearch/[:searchText]/[:pageNumber]',
                'address'     => 'daohang/search/index',
                'method'      => '*',
            ],
            [
                'rule'        => 'dhfilter/<termId>-<pageSize>-<pageNumber>-<sortName>-<sortOrder>',
                'address'     => 'daohang/filter/index',
                'method'      => 'get',
            ],
            [
                'rule'        => 'dhinfo/:slug$',
                'address'     => 'daohang/detail/index',
                'method'      => 'get',
            ],
        ],'daohang');
    }
    
    //权限
    public function insertAuth()
    {
        //取消验证
        config('common.validate_name', false);
        
        //权限节点
        $caps = [
            'daohang/fast/save',
            'daohang/filter/index',
            'daohang/search/common',
        ];
        
        //默认数据
        $default = [
            'op_name'       => 'vip',
            'op_module'     => 'daohang',
            'op_controll'   => 'auth',
            'op_action'     => 'front',//前台权限
        ];
        
        //批量添加数据
        $dataList = [];
        foreach($caps as $key=>$value){
            array_push($dataList, DcArrayArgs(['op_value'=>$value],$default));
        }

        //调用接口
        return model('common/Auth','loglic')->install($dataList);
    }
    
    //后台菜单
    public function insertMenu()
    {
        $result = model('common/Menu','loglic')->install([
            [
                'term_name'   => '导航',
                'term_slug'   => 'daohang',
                'term_info'   => 'fa-link',
                'term_module' => 'daohang',
                'term_order'  => 9,
            ],
        ]);
        
        $result = model('common/Menu','loglic')->install([
            [
                'term_name'   => '网站管理',
                'term_slug'   => 'daohang/admin/index',
                'term_info'   => 'fa-list',
                'term_module' => 'daohang',
                'term_order'  => 9,
            ],
            [
                'term_name'   => '采集管理',
                'term_slug'   => 'daohang/collect/index',
                'term_info'   => 'fa-cloud',
                'term_module' => 'daohang',
                'term_order'  => 8,
            ],
            [
                'term_name'   => '栏目管理',
                'term_slug'   => 'admin/category/index?parent=daohang&term_module=daohang',
                'term_info'   => 'fa-clone',
                'term_module' => 'daohang',
                'term_order'  => 7,
            ],
            [
                'term_name'   => '标签管理',
                'term_slug'   => 'admin/tag/index?parent=daohang&term_module=daohang',
                'term_info'   => 'fa-tags',
                'term_module' => 'daohang',
                'term_order'  => 6,
            ],
            [
                'term_name'   => 'SEO优化',
                'term_slug'   => 'daohang/seo/index',
                'term_info'   => 'fa-anchor',
                'term_module' => 'daohang',
                'term_order'  => 5,
            ],
            [
                'term_name'   => '频道设置',
                'term_slug'   => 'daohang/config/index',
                'term_info'   => 'fa-gear',
                'term_module' => 'daohang',
                'term_order'  => 4,
            ],
            [
                'term_name'   => '字段扩展',
                'term_slug'   => 'admin/field/index?parent=daohang&op_module=daohang',
                'term_info'   => 'fa-cube',
                'term_module' => 'daohang',
                'term_order'  => 3,
            ],
        ],'导航');
    }
    
    //前台导航
    public function insertNavs()
    {
        return model('common/Navs','loglic')->install([
            //导航栏
            [
                'navs_type'       => 'navbar',
                'navs_name'       => '导航首页',
                'navs_info'       => '呆错网址导航系统首页',
                'navs_url'        => 'daohang/index/index',
                'navs_status'     => 'normal',
                'navs_active'     => 'daohangindexindex',
                'navs_target'     => '_self',
                'navs_order'      => 99,
                'navs_parent'     => 0,
                'navs_module'     => 'daohang',
            ],
            [
                'navs_type'       => 'navbar',
                'navs_name'       => '热门网站',
                'navs_info'       => '网站排行榜',
                'navs_url'        => 'daohang/page/remen',
                'navs_status'     => 'normal',
                'navs_active'     => 'daohangpageremen',
                'navs_target'     => '_self',
                'navs_order'      => 1,
                'navs_parent'     => 0,
                'navs_module'     => 'daohang',
            ],
            [
                'navs_type'       => 'navbar',
                'navs_name'       => '免费收录',
                'navs_info'       => '免费发布网站',
                'navs_url'        => 'daohang/publish/index',
                'navs_status'     => 'normal',
                'navs_active'     => 'daohangpublishindex',
                'navs_target'     => '_self',
                'navs_order'      => 1,
                'navs_parent'     => 0,
                'navs_module'     => 'daohang',
            ],
            [
                'navs_type'       => 'navbar',
                'navs_name'       => '快审服务',
                'navs_info'       => '免审核发布网站',
                'navs_url'        => 'daohang/fast/index',
                'navs_status'     => 'normal',
                'navs_active'     => 'daohangfastindex',
                'navs_target'     => '_self',
                'navs_order'      => 1,
                'navs_parent'     => 0,
                'navs_module'     => 'daohang',
            ],
            //侧边栏
            [
                'navs_type'       => 'sitebar',
                'navs_name'       => '我的网址',
                'navs_info'       => '我发布的网址',
                'navs_url'        => 'daohang/user/index',
                'navs_status'     => 'private',
                'navs_active'     => 'daohanguserindex',
                'navs_target'     => '_self',
                'navs_order'      => 9,
                'navs_parent'     => 0,
                'navs_module'     => 'daohang',
            ],
            //底部链接
            [
                'navs_type'       => 'link',
                'navs_name'       => 'SiteMap',
                'navs_info'       => '呆错导航系统sitemap',
                'navs_url'        => 'daohang/sitemap/index',
                'navs_status'     => 'normal',
                'navs_active'     => 'daohangsitemapindex',
                'navs_target'     => '_self',
                'navs_order'      => 0,
                'navs_parent'     => 0,
                'navs_module'     => 'daohang',
            ],
            [
                'navs_type'       => 'link',
                'navs_name'       => '网站地图',
                'navs_info'       => '网站结构',
                'navs_url'        => 'daohang/page/index',
                'navs_status'     => 'normal',
                'navs_active'     => 'daohangpageindex',
                'navs_target'     => '_self',
                'navs_order'      => 0,
                'navs_parent'     => 0,
                'navs_module'     => 'daohang',
            ],
            [
                'navs_type'       => 'link',
                'navs_name'       => '最新收录',
                'navs_info'       => '最新收录的网站',
                'navs_url'        => 'daohang/page/zuixin',
                'navs_status'     => 'normal',
                'navs_active'     => 'daohangpagezuixin',
                'navs_target'     => '_self',
                'navs_order'      => 0,
                'navs_parent'     => 0,
                'navs_module'     => 'daohang',
            ],
            [
                'navs_type'       => 'link',
                'navs_name'       => '网站分类',
                'navs_info'       => '网站所有分类',
                'navs_url'        => 'daohang/page/types',
                'navs_status'     => 'normal',
                'navs_active'     => 'daohangpagetypes',
                'navs_target'     => '_self',
                'navs_order'      => 0,
                'navs_parent'     => 0,
                'navs_module'     => 'daohang',
            ],
            [
                'navs_type'       => 'link',
                'navs_name'       => '标签列表',
                'navs_info'       => '网站所有标签',
                'navs_url'        => 'daohang/page/tags',
                'navs_status'     => 'normal',
                'navs_active'     => 'daohangpagetags',
                'navs_target'     => '_self',
                'navs_order'      => 0,
                'navs_parent'     => 0,
                'navs_module'     => 'daohang',
            ],
            [
                'navs_type'       => 'link',
                'navs_name'       => '免费收录',
                'navs_info'       => '免费收录网站',
                'navs_url'        => 'daohang/publish/index',
                'navs_status'     => 'normal',
                'navs_active'     => 'daohangpublishindex',
                'navs_target'     => '_self',
                'navs_order'      => 0,
                'navs_parent'     => 0,
                'navs_module'     => 'daohang',
            ],
            [
                'navs_type'       => 'link',
                'navs_name'       => '快审服务',
                'navs_info'       => '免审核发布网站',
                'navs_url'        => 'daohang/fast/index',
                'navs_status'     => 'normal',
                'navs_active'     => 'daohangfastindex',
                'navs_target'     => '_self',
                'navs_order'      => 0,
                'navs_parent'     => 0,
                'navs_module'     => 'daohang',
            ],
        ]);
    }
    
    //分类
    public function insertCategory()
    {
        //一级分类
        model('common/Category','loglic')->install([
            [
                'term_name'       => '网站大全',
                'term_slug'       => 'wzdq',
                'term_type'       => 'navbar',
                'term_module'     => 'daohang',
                'term_controll'   => 'category',
                'term_action'     => 'channel',
            ],
        ]);
        
        //二级分类
        $default = [
            'term_type'   => 'navbar',//是否导航栏显示
            'term_module' => 'daohang',
        ];
        $list = [];
        foreach(['生活服务','综合其他','休闲娱乐','教育文化','行业企业','网络科技','政府组织','购物网站','新闻媒体','交通旅游','医疗健康','体育健身'] as $key=>$value){
            $list[$key] = DcArrayArgs([
                'term_name' => $value,
                'term_slug' => DcPinYin($value),
                'term_info' => '收录与'.$value.'相关的网站',
            ],$default);
        }
        return model('common/Category','loglic')->install($list,'网站大全');
    }
    
    //字段
    public function insertField()
    {
        config('common.validate_name', false);
        
        return model('common/Field','loglic')->install([
            [
                'op_name'     => 'info_color',
                'op_value'    => json_encode([
                    'type'         => 'text',
                    'relation'     => 'eq',
                    'data-visible' => false,
                    'data-filter'  => false,
                ]),
                'op_module'   => 'daohang',
                'op_controll' => 'detail',
                'op_action'   => 'default',
            ],
            [
                'op_name'     => 'image_ico',
                'op_value'    => json_encode([
                    'type'         => 'image',
                    'relation'     => 'eq',
                    'data-visible' => false,
                    'data-filter'  => false,
                ]),
                'op_module'   => 'daohang',
                'op_controll' => 'detail',
                'op_action'   => 'default',
            ],
            [
                'op_name'     => 'image_level',
                'op_value'    => json_encode([
                    'type'         => 'image',
                    'relation'     => 'eq',
                    'data-visible' => false,
                    'data-filter'  => false,
                ]),
                'op_module'   => 'daohang',
                'op_controll' => 'detail',
                'op_action'   => 'default',
            ],
            [
                'op_name'     => 'info_up',
                'op_value'    => json_encode([
                    'type'         => 'number',
                    'relation'     => 'eq',
                    'data-visible' => false,
                    'data-filter'  => false,
                ]),
                'op_module'   => 'daohang',
                'op_controll' => 'detail',
                'op_action'   => 'default',
            ],
            [
                'op_name'     => 'info_down',
                'op_value'    => json_encode([
                    'type'         => 'number',
                    'relation'     => 'eq',
                    'data-visible' => false,
                    'data-filter'  => false,
                ]),
                'op_module'   => 'daohang',
                'op_controll' => 'detail',
                'op_action'   => 'default',
            ],
            [
                'op_name'     => 'info_referer',
                'op_value'    => json_encode([
                    'type'         => 'text',
                    'relation'     => 'eq',
                    'data-visible' => false,
                    'data-filter'  => false,
                ]),
                'op_module'   => 'daohang',
                'op_controll' => 'detail',
                'op_action'   => 'default',
            ],
            [
                'op_name'     => 'info_domain',
                'op_value'    => json_encode([
                    'type'         => 'text',
                    'relation'     => 'eq',
                    'data-visible' => false,
                    'data-filter'  => false,
                ]),
                'op_module'   => 'daohang',
                'op_controll' => 'detail',
                'op_action'   => 'default',
            ],
            [
                'op_name'     => 'info_unique',
                'op_value'    => json_encode([
                    'type'         => 'text',
                    'relation'     => 'eq',
                    'data-visible' => false,
                    'data-filter'  => false,
                ]),
                'op_module'   => 'daohang',
                'op_controll' => 'detail',
                'op_action'   => 'default',
            ],
            [
                'op_name'     => 'info_tpl',
                'op_value'    => json_encode([
                    'type'         => 'text',
                    'relation'     => 'eq',
                    'data-visible' => false,
                    'data-filter'  => false,
                ]),
                'op_module'   => 'daohang',
                'op_controll' => 'detail',
                'op_action'   => 'default',
            ],
        ]);
    }
    
    //添加采集规则
    public function insertCollect()
    {
        model('daohang/Collect','loglic')->write([
            'collect_name'     => '网址大全',
            'collect_url'      => 'http://demo.daicuo.com/index.php',
            'collect_token'    => 'fb05aabf582499263dfc235a82629069',
            'collect_category' => '',
        ]);
        return true;
    }
    
    //删除基础配置
    public function remove()
    {
        //应用配置表（路由、配置、权限、字段、采集规则）
        \daicuo\Op::delete_module('daohang');
        //后台菜单
        model('common/Menu','loglic')->unInstall('daohang');
        //前台导航
        model('common/Navs','loglic')->unInstall('daohang');
        //返回结果
        return true;
    }
    
    //删除数据内容
    public function delete()
    {
        //应用配置表（路由、配置、权限、字段）
        \daicuo\Op::delete_module('daohang');
        //删除队列表
        for($i=0;$i<1000;$i++){
            \daicuo\Term::delete_module('daohang');
        }
        //删除内容表
        for($i=0;$i<1000;$i++){
            \daicuo\Info::delete_module('daohang');
        }
        //返回结果
        return true;
    }
    
    //更新应用状态
    public function updateStatus()
    {
        \daicuo\Apply::updateStatus('daohang', 'enable');
        
        return true;
    }
    
    //更新应用打包信息
    public function updatePack()
    {
        \daicuo\Op::write([
            'apply_name'    => '呆错网址导航系统',
            'apply_module'  => 'daohang',
            'apply_version' => '1.5.8',
            'apply_rely'    => 'user',
        ], 'common', 'config', 'system', 0, 'yes');
        
        return true;
    }
}